Bug 246698 - emulators/mame: mame/mess update to 0.222
Summary: emulators/mame: mame/mess update to 0.222
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-05-24 14:19 UTC by sdalu
Modified: 2020-07-30 06:51 UTC (History)
1 user (show)

See Also:


Attachments
updating to mame 220 (25.35 KB, patch)
2020-05-24 14:19 UTC, sdalu
no flags Details | Diff
updating to mess 220 (16.42 KB, patch)
2020-05-24 14:19 UTC, sdalu
no flags Details | Diff
updating to mame 222 (40.42 KB, patch)
2020-07-27 11:54 UTC, sdalu
no flags Details | Diff
updating to mess 222 (44.58 KB, patch)
2020-07-27 11:55 UTC, sdalu
no flags Details | Diff
updating to mess 222 (38.24 KB, patch)
2020-07-27 15:51 UTC, sdalu
no flags Details | Diff
updating to mess 222 (37.86 KB, patch)
2020-07-27 17:54 UTC, sdalu
no flags Details | Diff
mame 222 port (9.82 KB, application/x-compressed-tar)
2020-07-27 21:04 UTC, sdalu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description sdalu 2020-05-24 14:19:22 UTC
Created attachment 214813 [details]
updating to mame 220

mame port is outdated. Proposed patch for mame/mess
Comment 1 sdalu 2020-05-24 14:19:52 UTC
Created attachment 214814 [details]
updating to mess 220
Comment 2 sdalu 2020-07-27 11:54:29 UTC
Created attachment 216798 [details]
updating to mame 222
Comment 3 sdalu 2020-07-27 11:55:03 UTC
Created attachment 216799 [details]
updating to mess 222
Comment 4 Fernando Apesteguía freebsd_committer 2020-07-27 15:11:28 UTC
Thanks for the patches.

I'm a little confused about the second one. It starts with this:

diff -ru /usr/ports/emulators/mame/Makefile mess/Makefile

that doesn't look right.

I don't think emulators/mess needs to be updated. It is a slave port.
Comment 5 sdalu 2020-07-27 15:51:03 UTC
Created attachment 216805 [details]
updating to mess 222
Comment 6 sdalu 2020-07-27 15:54:39 UTC
I corrected the mess :)
(for the mess part, it is only the pkg-plist which is updated)
Comment 7 Fernando Apesteguía freebsd_committer 2020-07-27 16:42:28 UTC
(In reply to sdalu from comment #6)
Would you mind checking again?

The patch does not apply, it is detected as already applied in the Makefile:

-# $FreeBSD: head/emulators/mess/Makefile 400117 2015-10-24 11:13:16Z madpilot $
+# $FreeBSD: head/emulators/mess/Makefile 466375 2018-04-03 20:35:24Z danilo $

Is your port collection up to date?
Comment 8 sdalu 2020-07-27 17:54:21 UTC
Created attachment 216811 [details]
updating to mess 222

The Makefile part should not have been in the patch, sorry about that
Comment 9 Fernando Apesteguía freebsd_committer 2020-07-27 20:55:26 UTC
(In reply to sdalu from comment #8)
Fails to patch :(


===>  Applying FreeBSD patches for mame-0.222 from /data/fernape_data/FreeBSD-repos/ports/head/emulators/mame/files
Ignoring previously applied (or reversed) patch.
3 out of 3 hunks ignored--saving rejects to 3rdparty/bx/include/bx/inline/endian.inl.rej
===>  FAILED Applying FreeBSD patch-3rdparty_bx_include_bx_inline_endian.inl
===> Cleanly applied FreeBSD patch(es)  patch-3rdparty_asio_include_asio_detail_config.hpp
===> FAILED to apply cleanly FreeBSD patch(es)  patch-3rdparty_bx_include_bx_inline_endian.inl
*** Error code 1

Stop.
make[1]: stopped in /data/fernape_data/FreeBSD-repos/ports/head/emulators/mame
*** Error code 1

Stop.
make: stopped in /data/fernape_data/FreeBSD-repos/ports/head/emulators/mame
Comment 10 sdalu 2020-07-27 21:04:38 UTC
Created attachment 216820 [details]
mame 222 port

Obviously I'm not good at creating patch, here is the whole port in attachement

The following files should have been removed (that why they fail to apply)
Only in /usr/ports/emulators/mame/files: patch-3rdparty_bx_include_bx_inline_endian.inl
Only in /usr/ports/emulators/mame/files: patch-3rdparty_bx_include_bx_inline_readerwriter.inl
Only in /usr/ports/emulators/mame/files: patch-3rdparty_bx_include_bx_platform.h
Only in /usr/ports/emulators/mame/files: patch-3rdparty_bx_include_bx_readerwriter.h
Only in /usr/ports/emulators/mame/files: patch-3rdparty_bx_src_mutex.cpp
Only in /usr/ports/emulators/mame/files: patch-3rdparty_bx_src_thread.cpp
Only in /usr/ports/emulators/mame/files: patch-3rdparty_bx_tests_readerwriter__test.cpp
Only in /usr/ports/emulators/mame/files: patch-3rdparty_genie_src_host_scripts.c
Comment 11 commit-hook freebsd_committer 2020-07-30 06:50:57 UTC
A commit references this bug:

Author: fernape
Date: Thu Jul 30 06:50:25 UTC 2020
New revision: 543711
URL: https://svnweb.freebsd.org/changeset/ports/543711

Log:
  emulators/mame emulators/mess: update to 0.222

  ChangeLog way to big to reproduce here:
  https://github.com/mamedev/mame/releases/download/mame0222/whatsnew_0222.txt

  While here

   * Add USES=localbase
   * Move multiple variables to their places

  PR:	246698
  Submitted by:	sdalu@sdalu.com

Changes:
  head/emulators/mame/Makefile
  head/emulators/mame/distinfo
  head/emulators/mame/files/patch-3rdparty_bx_include_bx_inline_endian.inl
  head/emulators/mame/files/patch-3rdparty_bx_include_bx_inline_readerwriter.inl
  head/emulators/mame/files/patch-3rdparty_bx_include_bx_platform.h
  head/emulators/mame/files/patch-3rdparty_bx_include_bx_readerwriter.h
  head/emulators/mame/files/patch-3rdparty_bx_src_mutex.cpp
  head/emulators/mame/files/patch-3rdparty_bx_src_thread.cpp
  head/emulators/mame/files/patch-3rdparty_bx_tests_readerwriter__test.cpp
  head/emulators/mame/files/patch-3rdparty_genie_src_host_scripts.c
  head/emulators/mame/pkg-plist
  head/emulators/mess/pkg-plist
Comment 12 Fernando Apesteguía freebsd_committer 2020-07-30 06:51:44 UTC
Committed,

Thanks!